Subject: RE: comments on draft-ietf-krb-wg-gssapi-cfx-02.txt

From: "Liqiang(Larry) Zhu" <[email-masked]>
Date: Tue, 14 Oct 2003 14:24:00 -0700

I have discussed this with Sam offline (he is on vocation so I can not
get back to you yet), and we probably will need do what you suggested.

Larry

-----Original Message-----
From: Ken Raeburn [mailto:[email-masked]] 
Sent: Tuesday, October 14, 2003 1:59 PM
To: Liqiang(Larry) Zhu
Cc: [email-masked]; Douglas E. Engert
Subject: Re: comments on draft-ietf-krb-wg-gssapi-cfx-02.txt

You still haven't addressed this point.
I believe we need to change one message or the other, to make them
consistent, or to at least make it impossible for two messages of
different types to result in the same data being checksummed.

> Wrap without confidentiality uses:
>
>      WrapWOC(M) = WrapHeader | M | GetMic(M | WrapHeader)
>
> MIC tokens use:
>
>      MIC(M) = MICHeader | GetMic(MICHeader | M)
>
> Now, if I arrange for one side to send
>
>      MIC(M' | FakeWrapHeader)
>
> then the data on the wire includes:
>
>      GetMic(MICHeader | M' | FakeWrapHeader)
>
> and so I can construct a message containing
>
>      WrapWOC(MICHeader | M')
>
> which the receiver will, I believe, consider valid.

Ken